package com.ruoyi.asset.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 借用归还管理对象 ams_borrow_order
 *
 * @author Yangk
 * @date 2026-06-16
 */
public class AmsBorrowOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 单据ID */
    private Long orderId;

    /** 借用单号 */
    @Excel(name = "借用单号")
    private String borrowNo;

    /** 借用人ID */
    @Excel(name = "借用人ID")
    private Long borrowUserId;

    /** 借用人名称快照 */
    @Excel(name = "借用人名称快照")
    private String borrowUserName;

    /** 借用部门ID */
    @Excel(name = "借用部门ID")
    private Long borrowDeptId;

    /** 借用部门名称快照 */
    @Excel(name = "借用部门名称快照")
    private String borrowDeptName;

    /** 预计归还日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "预计归还日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date expectedReturnDate;

    /** 确认人ID */
    @Excel(name = "确认人ID")
    private Long confirmUserId;

    /** 确认人名称快照 */
    @Excel(name = "确认人名称快照")
    private String confirmUserName;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmTime;

    /** 驳回原因 */
    @Excel(name = "驳回原因")
    private String rejectReason;

    /** 单据状态 */
    @Excel(name = "单据状态")
    private String orderStatus;

    /** 删除标志：0存在，1删除 */
    private String delFlag;

    /** 借用单明细信息 */
    private List<AmsBorrowOrderItem> amsBorrowOrderItemList;

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public Long getOrderId()
    {
        return orderId;
    }

    public void setBorrowNo(String borrowNo)
    {
        this.borrowNo = borrowNo;
    }

    public String getBorrowNo()
    {
        return borrowNo;
    }

    public void setBorrowUserId(Long borrowUserId)
    {
        this.borrowUserId = borrowUserId;
    }

    public Long getBorrowUserId()
    {
        return borrowUserId;
    }

    public void setBorrowUserName(String borrowUserName)
    {
        this.borrowUserName = borrowUserName;
    }

    public String getBorrowUserName()
    {
        return borrowUserName;
    }

    public void setBorrowDeptId(Long borrowDeptId)
    {
        this.borrowDeptId = borrowDeptId;
    }

    public Long getBorrowDeptId()
    {
        return borrowDeptId;
    }

    public void setBorrowDeptName(String borrowDeptName)
    {
        this.borrowDeptName = borrowDeptName;
    }

    public String getBorrowDeptName()
    {
        return borrowDeptName;
    }

    public void setExpectedReturnDate(Date expectedReturnDate)
    {
        this.expectedReturnDate = expectedReturnDate;
    }

    public Date getExpectedReturnDate()
    {
        return expectedReturnDate;
    }

    public void setConfirmUserId(Long confirmUserId)
    {
        this.confirmUserId = confirmUserId;
    }

    public Long getConfirmUserId()
    {
        return confirmUserId;
    }

    public void setConfirmUserName(String confirmUserName)
    {
        this.confirmUserName = confirmUserName;
    }

    public String getConfirmUserName()
    {
        return confirmUserName;
    }

    public void setConfirmTime(Date confirmTime)
    {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime()
    {
        return confirmTime;
    }

    public void setRejectReason(String rejectReason)
    {
        this.rejectReason = rejectReason;
    }

    public String getRejectReason()
    {
        return rejectReason;
    }

    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public List<AmsBorrowOrderItem> getAmsBorrowOrderItemList()
    {
        return amsBorrowOrderItemList;
    }

    public void setAmsBorrowOrderItemList(List<AmsBorrowOrderItem> amsBorrowOrderItemList)
    {
        this.amsBorrowOrderItemList = amsBorrowOrderItemList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("borrowNo", getBorrowNo())
            .append("borrowUserId", getBorrowUserId())
            .append("borrowUserName", getBorrowUserName())
            .append("borrowDeptId", getBorrowDeptId())
            .append("borrowDeptName", getBorrowDeptName())
            .append("expectedReturnDate", getExpectedReturnDate())
            .append("confirmUserId", getConfirmUserId())
            .append("confirmUserName", getConfirmUserName())
            .append("confirmTime", getConfirmTime())
            .append("rejectReason", getRejectReason())
            .append("orderStatus", getOrderStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("amsBorrowOrderItemList", getAmsBorrowOrderItemList())
            .toString();
    }
}
